Zum Hauptinhalt springen

Update the catchall of a mail address

PUT/v2/mail-addresses/{mailAddressId}/catchall
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-mail-update-mail-address-catchall

Request​

  • mailAddressIdstring (uuid)required

    ID of the MailAddress to update the catchall for.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"active":true}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/mail-addresses/f0f86186-0a5a-45b2-aa33-502777496347/catchall
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.deprecatedMailUpdateMailAddressCatchall({
"mailAddressId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"active": true
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\DeprecatedMailUpdateMailAddressCatchall\DeprecatedMailUpdateMailAddressCatchallRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Mail\DeprecatedMailUpdateMailAddressCatchall\DeprecatedMailUpdateMailAddressCatchallRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedMailUpdateMailAddressCatchallRequestBody to learn how to construct a valid instance
$body = new DeprecatedMailUpdateMailAddressCatchallRequestBody(/* TODO: ... */);

$request = (new DeprecatedMailUpdateMailAddressCatchallRequest(
mailAddressId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->mail()->deprecatedMailUpdateMailAddressCatchall($request);

var_dump($response->getBody();

Auf dieser Seite